Package org.apache.velocity.runtime.parser.node

# Class ASTNENode

java.lang.Object
org.apache.velocity.runtime.parser.node.SimpleNode
org.apache.velocity.runtime.parser.node.ASTBinaryOperator
org.apache.velocity.runtime.parser.node.ASTComparisonNode
org.apache.velocity.runtime.parser.node.ASTEQNode
org.apache.velocity.runtime.parser.node.ASTNENode

All Implemented Interfaces:
  `Cloneable`, `Node`, `Renderable`

public class ASTNENode extends ASTEQNode
Handles `arg1 != arg2` by negating evaluation of ASTEQNode

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode

`children, column, first, firstImage, id, info, invalid, last, lastImage, line, literal, log, parent, parser, rsvc, state, template`

## Constructor Summary

Constructors
Constructor
Description
`ASTNENode(int id)`
`ASTNENode(Parser p, int id)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(InternalContextAdapter context)`

### Methods inherited from class org.apache.velocity.runtime.parser.node.ASTEQNode

`compareNonNumber, compareNull, getLiteralOperator, numberTest`

### Methods inherited from class org.apache.velocity.runtime.parser.node.ASTComparisonNode

`compareNumbers, jjtAccept, value`

### Methods inherited from class org.apache.velocity.runtime.parser.node.ASTBinaryOperator

`init, literal`

### Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode

`childrenAccept, cleanupParserAndTokens, clone, clone, dump, dump, dump, execute, getColumn, getFirstToken, getFirstTokenImage, getInfo, getLastToken, getLastTokenImage, getLine, getLocation, getParser, getRuntimeServices, getTemplate, getTemplateName, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, render, saveTokenImages, setFirstToken, setInfo, setInvalid, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASTNENode

public ASTNENode(int id)

### ASTNENode

public ASTNENode(Parser p, int id)

## Method Details

### evaluate

public boolean evaluate(InternalContextAdapter context) throws MethodInvocationException

Specified by:
  `evaluate` in interface `Node`
Overrides:
  `evaluate` in class `ASTComparisonNode`
Parameters:
  `context` -
Returns:
  The evaluation result.
Throws:
  `MethodInvocationException`
See Also:
  - `SimpleNode.evaluate(org.apache.velocity.context.InternalContextAdapter)`